from threading import Thread
import time

def runner(args):
  for i in range(10):
    print i
    time.sleep(args)

t1 = Thread(target = runner, args = (.3, ))
t2 = Thread(target = runner, args = (.1, ))
t1.start()
t2.start()